{
  "format_version": "1.21.0",
  "minecraft:recipe_shaped": {
    "description": {
      "identifier": "silverlabs:portal_frame_recipe"
    },
    "unlock": [
      {
        "item": "minecraft:crafting_table"
      }
    ],
    "tags": [
      "crafting_table"
    ],
    "pattern": [
      " O ",
      "OEO",
      " O "
    ],
    "key": {
      "O": {
        "item": "minecraft:obsidian"
      },
      "E": {
        "item": "minecraft:ender_pearl"
      }
    },
    "result": {
      "item": "silverlabs:portal_frame",
      "count": 1
    }
  }
}
